DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PseudoInverse

Image restoration filter

## SYNOPSIS

`#include "dip_restoration.h"`

dip_Error dip_PseudoInverse ( in, psf, out, threshold, flags )

## FUNCTION

This function performs a basic, very noise sensitive image restoration operation by inverse filtering the image with a clipped point spread function. Each frequency in the output for which the response of the PSF is smaller than `threshold` is set to zero.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `psf` | Point spread function image
`dip_Image` | `out` | Output image
`dip_float` | `threshold` | Threshold value
`dipf_Restoration` | `flags` | Restoration flags

## LITERATURE

G.M.P. van Kempen, Image Restoration in FLuorescence Microscopy, Ph.D. Thesis, Delft University of Technology, 1999

## SEE ALSO

`Wiener`, `TikhonovMiller`

DIPlib on-line documentation | Function reference | Global function index